﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;

namespace UltraGirdSummaryAppearance
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ultraGrid1.CreationFilter = new CreatingTextUIElement();
        }
   
    }

    public class CreatingTextUIElement : IUIElementCreationFilter
    {

        public void AfterCreateChildElements(UIElement parent)
        {
            SummaryValueUIElement El = parent as SummaryValueUIElement;
            if (El != null)
            {
                if (El.HasChildElements )
                {

                    foreach (var it in El.SummaryValue.ParentRows)
                    {
                        if (it.Description != null && it.Description.StartsWith("B :"))
                        {
                            it.Band.Summaries[0].Appearance.ForeColor = Color.Red;
                            TextUIElement textElement = El.ChildElements[0] as TextUIElement;
                            textElement.Text = El.SummaryValue.SummaryText;
                            El.SummaryValue.Appearance.ForeColor = Color.Red;
                        }
                        else
                        {
                            it.Band.Summaries[0].Appearance.ForeColor = Color.Blue;
                        }
                    }
                }
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }

}
